#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
jof=short      # queue to submit to
psp="2:ppn=16" # processors per node
wtw="05:29:00" # expected running time of jobs

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

#. integer_lib

lat="1 2 4"

wfl=`ls vib_*.dat`

animate.bash -a 2 -n 8 -u -p ${wfl} -i snap.xyz -o 12
wfl=`ls run_*.xyz`
getlastxyz.bash -i ${wfl} -b 
jl=`ls snap_00000000000013.xyz snap_00000000000014.xyz snap_00000000000020.xyz snap_00000000000021.xyz | sed 's/snap_// ; s/\.xyz//'` ;  ../../bin/genjob.bash -l "${jl}" -q ${jof} -p ${psp} -w ${wtw}



