#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
inpl=(`ls *.inp | sed 's/\.inp//g'`)
opl=(`ls *.out | sed 's/\.out//g'`) 
if [ ${#opl[*]} -eq ${#inpl[*]} ] && [ ${#inpl[*]} -gt 0 ] ; then
 if ls *[0-9][a-z].xyz ; then
  rm  *[0-9][a-z].out *[0-9][a-z].inp *[0-9][a-z].xyz
  resubmitpim.bash
 fi
 ls eigen*log || resubmitpim.bash
 for fon in ${inpl[*]} ; do # cryolite_rlx_gs_pim4_00000000000000
  echo $fon 
  inx=`echo $fon | awk -F _ '{ print $NF}'`
  str=`sed -n '/PROGRAM/p ; /POL_SCF/p ; /ENERGY/p ; /CP2K/p' ${fon}.out`
  echo "${str}" > ${fon}.out
  rm job*${fon}* # snap*${inx}* 
 done
 rm *.o[0-9][0-9]*
else
 exit
fi
