#!/bin/bash
# routine to

typeset -i i j nato natn

ifi=xas.out

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}

j=0
for n in ${lat} ; do
 echo ${j}
 j=${j}+1
done
 ls -d movie || cp -r ~/movie . 
 ls cryo.scf.inp.uc || cp cryo.scf.inp cryo.scf.inp.uc 
 rm run.xyz sna[pq]*.xyz 
 viz_pwscf_run.bash -i cryo.scf.out -o run.xyz 
 getlastxyz.bash -i run.xyz -o snap
 viz_pwscf.bash -i cryo.scf.inp.uc
 i=`ls -l snap_mag.xyz | awk '{ print $5 }'` # legth of snap_mag.xyz
 j=`ls -l snap.xyz | awk '{ print $5 }'`     # length of snap.xyz
 if [ $i -gt $j ] ; then    # if structure was not optimized, take snap from input-file
  mv snap_mag.xyz snap.xyz
 fi
 head -1 snap.xyz > snaq.xyz 
 head -2 snap.xyz | tail -1 | awk  -F "uc:"  '{ print $2 }'  | sed 's/\\n/ /g'  >> snaq.xyz
 sed '1,2d'  snap.xyz >> snaq.xyz
 cat snaq.xyz
 replica_xyz snaq.xyz 2 2 2
 ucstr=`head -2 snaq.2.2.2.xyz | tail -1 | awk '{ printf "CELL_PARAMETERS (angstrom)\n%20.10f %20.10f  %20.10f \n %20.10f %20.10f  %20.10f \n %20.10f %20.10f  %20.10f "  , $1,$2,$3,$4,$5,$6,$7,$8,$9}'`
 nbnd=(`grep "Starting wfc are" cryo.scf.out  | awk '{ print $4 }'`)
 nbnd=`echo "scale=0 ; int(${nbnd}*8*1.1)" | funcs.bc`
 nats=`grep nat  cryo.scf.inp.uc `
 nato=`echo ${nats} | sed 's/=/ /g ; s/,/ /g' | awk  '{ print $2 }'`
 natn=${nato}*8
 nats=`echo ${nats} | sed "s/${nato}/${natn}/"`
 echo $nats
 sed "/ATOMIC_POS/,/bla/d ; /nat/c\
\   ${nats}
/calculation/c\
\   calculation='scf',
/etot_conv_thr/c\
\   etot_conv_thr = 10d-10,
/nbnd/c\
\   nbnd=${nbnd},
" cryo.scf.inp.uc > head.txt
 echo "ATOMIC_POSITIONS (angstrom)" >> head.txt 
 sed 1,2d snaq.2.2.2.xyz >> head.txt 
 cat cryo.scf.inp 
 echo -e "K_POINTS automatic \n   1 1 1  1 1 1" >> head.txt
 echo "${ucstr}" >> head.txt
 mv head.txt cryo.scf.inp  
 head -1 snaq.2.2.2.xyz > snap.xyz 
 head -2 snaq.2.2.2.xyz | tail -1 | awk '{ printf "E uc: %17.10f %17.10f %17.10f \\n %17.10f %17.10f %17.10f \\n %17.10f %17.10f %17.10f \\n\n" , $1,$2,$3,$4,$5,$6,$7,$8,$9 }' >> snap.xyz
 sed 1,2d snaq.2.2.2.xyz >> snap.xyz 
 cat cryo.scf.inp 
exit
    nat=16, ntyp=2,
ATOMIC_POSITIONS (crystal)
 calculation=vc-relax,
    etot_conv_thr = 10d-11


 echo "${ucstr}"
exit
 vi snaq.2.2.2.xyz
 vi cryo.scf.inp 
