#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
ofi=glnaliz.dat
maxen=1.2
uupdate=false

while getopts i:m:u opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  m) maxen="${OPTARG}"
  ;;
  u) uupdate=true  # -u update smply all the graphs from precalculated runs 
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 4"

j=0
echo "start" > ${ofi}
for fon in `ls -d vib_00*` ; do 
 cd $fon ; 
  ls safe || mkdir safe
  mv *bak* *igk* *wfc* *.o[0-9]* *bak* *save* safe/. & 
# if ! [ ${uupdate} ]  ; then  
# echo "uupdate: ${uupdate}" 
  ../../bin/resubmit.bash 
# ../../bin/convert_naliz.bash 
# nbear -n 2
  str=`sed '/maxen/d ; /verbos/d ; /ymax/d'  naliz.dat`
  echo -e "${str} \n #maxen ${maxen} \n #verbos high \n #ymax 2" > naliz.dat
# str=`sed '/9890/{ s/^-1.98/#-1.98/ ; s/^1.98/#1.98/ ; n ; }' naliz.dat` 
# echo "${str}" > naliz.dat  
# ../../bin/harmapp.bash 
  eigenstates.x > eigenstates.log
# fi 
 rm naliz.svg naliz.eps ; xmgrace -nosafe -batch naliz.xmgr;
 echo $fon `head -3 eigenstates.dat | tail -1 ` >> ../${ofi}
 cd ..
j=${j}+1
done
str=`sort -n -k 3 ${ofi}`
echo "${str}" | sed '/start/d' > ${ofi}
cat ${ofi}
