#!/bin/bash
# routine to

typeset -i i j

ifi=ssnap_try.xyz 
d=(cell: 9.35  44.00 10.60) # in angstrom

while getopts i:v: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  v) d=(cell: ${OPTARG})
  ;;
 esac
done ; OPTIND=0

#. integer_lib
echo "cell: ${d[1]} ${d[2]} ${d[3]}"



j=0
str=`head -2 ${ifi}`
while read lin ; do
 if [ ${j} -gt 1 ] ; then
  c=(${lin})
  rm .hef.$$ 2> /dev/null
  hstr=""
  for p in -1 1 0 ; do
   for q in -1 1 0 ; do
    for r in -1 1 0 ; do
     e=(${lin} 0)
     c=(${c[0]} "(${p})*(${d[1]})" "(${q})*(${d[2]})" "(${r})*(${d[3]})")
     for k in 1 2 3 ; do
      e[${k}]=`echo "scale=4 ; ${e[${k}]}+(${c[${k}]})" | bc` 
      e[4]="((${e[${k}]})-(${d[${k}]})/2)*(${e[${k}]}-(${d[${k}]})/2)+(${e[4]})"
     done
     e[4]=`echo "scale=4 ; (${e[4]})" | bc`
     hstr="${hstr} \n${e[*]}"
    done
   done
  done
  echo -e "${hstr}" | sed 1d | sort -n -k 5 >> hstr.tex
 
  str="${str}\n"`echo -e "${hstr}" | sed 1d | sort -n -k 5 | head -1 | awk '{ print " "$1" "$2" "$3" "$4 }'`
 echo ${j} ${lin} 
 else 
  : 
 fi
 j=${j}+1
# [  ${j} -gt 5 ] && exit
done < ${ifi}
echo -e "${str}" > $ifi
