#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
ofi=forces.dat

while getopts i:o: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  o) ofi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
lat="1 2 4"


inxl=`ls *out | sed 's/\.out//g ; s/_/\./g' | awk -F . '{ print $NF}'`
#inxl=00000000000063

stro=""
for inx in $inxl ; do
  of=`ls *_${inx}.out`
  sf=snap_${inx}.xyz
  amp=`head -2 $sf | awk '{ print $1 }' | tail -1`
  eng=`sed -n '/!    total energy/p' $of | awk '{ print $5 }'`
  str=`sed -n '/Forces acting on atoms/,/Total force = /p' $of | sed -n '/type/p'`
  str=`echo "${str}" | sed 's/atom//; s/type// ; s/force =//'`
  hinx=`piex -i $inx`
  stro="${stro} \n# index amp energy[Ry] / atom type fx fy fz \n# ${hinx} ${amp} ${eng}\n ${str}"
done
echo -e "${stro}" > $ofi
exit
j=0
for n in ${lat} ; do
 echo ${j}
 j=${j}+1
done
