#!/bin/bash
# routine to

typeset -i i j

ifi=dftb_md.out 

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTID=0

str=`sed -n '/CELL/p ; /ATOMIC KIND INFORMATION/q'  ${ifi}`
lin=`echo "${str}" | sed -n '/Vec/p' | awk '{ print $10 }' | head -3`
lan=`echo "${str}" | sed -n '/Ang/p' | awk '{ print $6 }' | head -3`
echo "{ "${lin}" "${lan}" }"
