#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
ofi=glnaliz.dat

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
#lat="1 2 4"
here=`pwd`
frlstr=`grep omega matdyn.modes | sed 's/omega(/ /g'`
#echo ${frl[*]}
j=0
echo "vib  E(lowest_excitation)[Ry] E(minimum)[Ry] omega(lowest_anharm)[cm-1] omega(harm)[cm-1]" > ${ofi}
for fon in `ls -d vib_00*[0-9]` ; do
 
 cd $fon
  gs=`head -3 eigenstates.dat | tail -1 | awk '{ print $2 }'`
  er=`sort -n -k 3 naliz.dat | awk '{ print $3 }' | head -1` 
  ome=`grep omega ${fon}.dat | awk -F = '{ print $3 }'`
  zeroome=`grep res eigenstates.dat | awk '{ print $5 }'` 
  hi=`echo $fon | sed 's/vib_/ /'`
  i=`piex -i $hi`
  i=${i}+1
  echo "i: ${j} "`echo "${frlstr}" |  grep " ${i})" | head -1`
  lfrl=`echo "${frlstr}" |  grep " ${i})" | head -1 | awk -F = '{ print $3 }' | sed 's/\[cm-1\]//g'`
  echo ${fon} ${gs} ${er}  ${ome} ${zeroome} ${lfrl} >> ../${ofi}
 cd ${here}
 j=${j}+1
done
cat $ofi
exit
