#PBS -N casio3_resub
#PBS -l walltime=00:11:00
#PBS -q short
#PBS -l nodes=1:ppn=2
#PBS -j oe
ulimit -s unlimited
PATH=~/bin:/share/apps/espresso/espresso-5.0.3/bin:/home/apps/bin:${PATH}:`dirname $(readlink -f $0)`
module load mvapich2
cd $PBS_O_WORKDIR
NSLOTS=`cat $PBS_NODEFILE | wc -l | awk '{ print $1 }'` ; dstr=`date`
echo "HOSTNAME: ${HOSTNAME} PBS_JOBNAME: ${PBS_JOBNAME} PBS_JOBID: ${PBS_JOBID} date: ${dstr}"

afi=`ls -d vib_[0-9][0-9][0-9][0-9] | shuf`
for fon in ${afi} ; do 
 cd $fon 
  ls conv > /dev/null 2> /dev/null | mkdir conv 
  cp naliz.dat  conv/. 
  cd conv 
   { ../../../bin/test_ndim.bash ; ../../../bin/free_energ_eigen.bash ; }&  
  cd ..
 cd ..
done 
wait
 

