#PBS -N casio3_resub
#PBS -l walltime=00:11:00
#PBS -q short
#PBS -l nodes=1:ppn=2
#PBS -j oe
ulimit -s unlimited
PATH=~/bin:/share/apps/espresso/espresso-5.0.3/bin:/home/apps/bin:${PATH}:`dirname $(readlink -f $0)`
module load mvapich2
cd $PBS_O_WORKDIR
NSLOTS=`cat $PBS_NODEFILE | wc -l | awk '{ print $1 }'` ; dstr=`date`
echo "HOSTNAME: ${HOSTNAME} PBS_JOBNAME: ${PBS_JOBNAME} PBS_JOBID: ${PBS_JOBID} date: ${dstr}"

afi=`ls -d vib_[0-9][0-9][0-9][0-9] | shuf`
for fli in ${afi} ; do
 cd $fli
  eigenstates.x > eigenstates.log & 
 cd ${PBS_O_WORKDIR}
done 
wait
tarff=`pwd | awk -F / '{ print $NF }'`
tarf=~/send_${tarff}.tar
cd ..
ls $tarf || { echo " " > ~/hub.txt ; tar -cf ~/send_${tarf}.tar ~/hub.txt ; } 
tar --append --file=${tarf} ${tarff}/vib_00*/eig*  ${tarff}/vib_00*/nal*  ${tarff}/vib_00*/snap.xyz  ${tarff}/vib_00*/vib*dat  ${tarff}/vib_00*/run_*xyz ${tarff}/vib_00*/fit*dat
tar --list --file=${tarf}
