#!/bin/bash
# routine to

typeset -i i j m

ifi=prtstat.out 

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 "

j=0
for sp in ${lat} ; do
 e=(`sed -n "/Eigenvalues of the occupied subspace spin            ${sp}/,/Fermi/{ /Fermi/d ; /igen/d ; /-----------/d ; p ; } ;" ${ifi}`)
 e=(blo ${e[*]})
 m=${#e[*]}-1
 i=1 
 while [ ${i} -lt ${m} ]; do
  hi=`expi -i ${i} -l 5` 
  if ls *${hi}_${sp}*cube 2> /dev/null > /dev/null ; then
   lf=`ls *${hi}_${sp}*cube`
   c=(`grep WAVEFUN ${lf} `)
   eh=`echo "scale=6 ; (${e[${i}]})*27.21138386" | funcs.bc`
   c[8]="E[ev]:  ${eh}"
   c[9]="E[Ha]:  ${e[${i}]}"
   echo "${i} ${hi} ${e[${i}]}"
   str=`sed "/WAVE/c\
\     ${c[*]}
" ${lf}`
   echo "${str}" > ${lf} 
   echo ${c[*]}
   #exit
  fi
  i=${i}+1
 done
# stat_00224_1.cube:  WAVEFUNCTION          224  spin            1  i.e. LUMO +           13
#stat_00224_2.cube:  WAVEFUNCTION          224  spin            2  i.e. LUMO +           13
#stat_00225_1.cube:  WAVEFUNCTION          225  spin            1  i.e. LUMO +           14
#stat_00225_2.cube:  WAVEFUNCTION          225  spin            2  i.e. LUMO +           14 
 j=${j}+1
done
exit
  Eigenvalues of the occupied subspace spin            1
  Eigenvalues of the occupied subspace spin            2
prtstat.out stat_00196_1.cube stat_00196_2.cube stat_00197_1.cube stat_00197_2.cube stat_00198_1.cube stat_00198_2.cube stat_00199_1.cube stat_00199_2.cube stat_00200_1.cube stat_00200_2.cube stat_00201_1.cube stat_00201_2.cube stat_00202_1.cube stat_00202_2.cube stat_00203_1.cube stat_00203_2.cube stat_00204_1.cube stat_00204_2.cube stat_00205_1.cube stat_00205_2.cube stat_00206_1.cube stat_00206_2.cube stat_00207_1.cube stat_00207_2.cube stat_00208_1.cube stat_00208_2.cube stat_00209_1.cube stat_00209_2.cube stat_00210_1.cube stat_00210_2.cube stat_00211_1.cube stat_00211_2.cube stat_00212_1.cube stat_00212_2.cube stat_00213_1.cube stat_00213_2.cube stat_00214_1.cube stat_00214_2.cube stat_00215_1.cube stat_00215_2.cube stat_00216_1.cube stat_00216_2.cube stat_00217_1.cube stat_00217_2.cube stat_00218_1.cube stat_00218_2.cube stat_00219_1.cube stat_00219_2.cube stat_00220_1.cube stat_00220_2.cube stat_00221_1.cube stat_00221_2.cube stat_00222_1.cube stat_00222_2.cube stat_00223_1.cube stat_00223_2.cube stat_00224_1.cube stat_00224_2.cube stat_00225_1.cube stat_00225_2.cube
