#!/bin/bash
# routine to

typeset -i i j

mkdir run_phonon_dos
cd run_phonon_dos
ln -s ../cryo.fc
ln -s ../PH.save
ln -s ../_ph0

export RN=cryo
export INP=${RN}.scf

nq21=6 ; nq22=6 ; nq23=4 ; 

cat > ${RN}.matdyn.inp << EOF
&input
    asr='simple', 
    ${hstr} 
    flfrc='${RN}.fc',
    dos=.true.,
    fldos='${RN}.dos',
    deltaE=1.d0,
    flfrq='${RN}.freq',
    nk1=${nq21},  nk2=${nq22},   nk3=${nq23},   
 / 
EOF

export INP=${RN}.matdyn
mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
mpiexec -np ${NSLOTS} matdyn.x < ./$INP.inp > $INP.out
cd ..

exit
date ; ./nbearb
cryo.fc
jok.p
matdyn.modes
_ph0
PH.save
safe
smear_pwscf_dos.bash
