#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
ofi=sigma

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

echo "# xmgrace -nosafe -batch ${ofi}.xmgr" > ${ofi}.xmgr

pwwd=`pwd | awk -F / '{ print $NF }'`


while read lin ; do
 echo ${lin} >> ${ofi}.xmgr
done << EOF
title "sigma^2 ${pwwd}"
focus g0
s0 symbol 2
s0 symbol size 0.560000
s0 symbol color 1
s0 symbol pattern 1
s0 symbol fill color 2
s0 symbol fill pattern 1
s0 symbol linewidth 1.0
s0 symbol linestyle 1
s0 symbol char 0
s0 symbol char font 4
s0 symbol skip 0
read block "eigenvecs.dat"
block xy "1:4"
#push
#focus g1
#s1 line linestyle 2
#s1 symbol type 2
#read block "fit.dat"
#block xy "2:3"
#pop
#s0 legend "up"
yaxis label "sigma^2"
xaxis label "N"
autoticks
print to "${ofi}.svg"
hardcopy device "SVG"
print
exit
EOF
ls ${ofi}.svg > /dev/null 2> /dev/null && rm ${ofi}.svg 
xmgrace -nosafe -batch ${ofi}.xmgr 
#; display ${ofi}.svg &

exit
. integer_lib

lat="1 2 4"

j=0
for n in ${lat} ; do
 echo ${j}
 j=${j}+1
done
