#!/bin/bash
# routine to

typeset -i i j

ifi=mmag_0005_1_dos.dos 
efer=-2.9933

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 4"

j=0
exec 
while read lin ; do
 [[ "${lin}" == *e* ]] && { echo true ; continue ; } 
 c=(${lin})
{ c[0]=`echo "scale=8 ; (${c[0]})-(${efer})" | bc` ;  echo ${c[*]} >> .hef.$$ ; } & 
 j=${j}+1
done < ${ifi}
wait 

had=`head -1 $ifi`
echo $had > $ifi 
sort -n -k 1 .hef.$$ >> $ifi

