#!/bin/bash
# Routine to find job identifier belonging to specific job_name or path 
# USAGE: qgetid (in directory where job should run) 

typeset -i i j k l 

ist=`pwd`
full=false
all=false

while getopts i:af opt
do
 case $opt in
  i) ist="${OPTARG}"
  ;;
  f) full=true
  ;;
  a) all=true
  ;;
 esac
done

${all} && ist=adj

str=`/usr/bin/qstat -f | sed -n -e ":a" -e "$ s/\n//gp;N;b a" | sed 's/\t//g ;s/   /\n/g ; s/Job Id/\n Job Id/g'`
#sed -n -e ":a" -e "$ s/\n//gp;N;b a" bsqstr.txt | sed 's/\t/ /g ;s/   /\n/g'

c=(`echo "${str}" | sed -n '/Job Id/='` `echo "${str}" | wc | awk '{ print $1 }'`)
m=${#c[*]}
iist=`echo "${ist}" | sed 's_/_O_g '`
sstr=`echo "${str}" | sed 's_/_O_g ; s_,_ , _g ; s_=_ = _g'`
pll=`echo "${sstr}" | sed -n "/${iist}/{/PBS_O_WORKDIR/= ; }"`
 # echo "${sstr}" | sed -n "/${iist}/p"
 # echo "iist: ${iist}, c[*]: ${c[*]}"
 # echo "pll: ${pll}"
for pl in $pll ; do
 i=0 ; 
 while [ ${c[${i}]} -lt ${pl} -a  ${i} -lt ${m} ] ; do
  i=${i}+1
 done
 j=${i}-1 ; j=${c[${j}]} 
 i=${c[${i}]}-1
 hstr=`echo "${str}" | sed -n ${j},${i}p`
#echo "all: $all"

 if ${full} ; then 
  :
 else
  pstr=`echo "${hstr}" | sed -n '/Job Id/p ; /job_stat/p ; /Output_Path/p ; /Resource_List.nodes/p; /Resource_List.walltime/p ; /Job_Name/{s_O_/_g ; p ; }' | awk '{ print $3 }'`
#   echo "${hstr}" # | sed -n '/submit_args/{  s/ /\n/g ; p; }'
#   echo "${pstr}"
  hstr="${pstr} "`echo "${hstr}" | sed -n '/submit_args/{  s/ /\n/g ; p; }' | grep job | awk '{ print $1 }'`
 fi
 echo ${hstr}
done
exit

Job Id: 70122.hypatia
    Job_Name = 41StreetWithOnOffGas
    Job_Owner = mobo@hypatia
    job_state = Q
    queue = single_medium
    server = hypatia.empa.emp-eaw.ch
    Checkpoint = u
    ctime = Fri Nov 14 10:22:42 2014
    Error_Path = hypatia:/mnt/scratch/mobo/Gasboiler/4100000/41StreetWithOnOff
	Gas.e70122
    Hold_Types = n
    Join_Path = n
    Keep_Files = n
    Mail_Points = abe
    Mail_Users = boran.morvaj@empa.ch
    mtime = Fri Nov 14 10:22:42 2014
    Output_Path = hypatia:/mnt/scratch/mobo/Gasboiler/4100000/41StreetWithOnOf
	fGas.o70122
    Priority = 0
    qtime = Fri Nov 14 10:22:42 2014
    Rerunable = True
    Resource_List.nodect = 1
    Resource_List.nodes = 1:ppn=16
    Resource_List.walltime = 72:00:00
    etime = Fri Nov 14 10:22:42 2014
    submit_args = pbs_script.txt
    fault_tolerant = False
    submit_host = hypatia
    init_work_dir = /mnt/scratch/mobo/Gasboiler/4100000
