#!/bin/bash
# hl=`ls safe/*dat | sed 's/\.dat//'`
# ./render_movie.bash -i "${hl}" -j
# routine to

typeset -i i j

ifil=safe/movie.00000
export tachyon="/home/install/vmd-1.8.6/lib/tachyon/tachyon_LINUXAMD64"
export tachyon="/home/psd/lib/vmd/tachyon_LINUXAMD64"
jj=false
lrg="640 512"
queu=infiniband

while getopts i:js:q: opt
do
 case $opt in
  i) ifil="${OPTARG}"
  ;;
  j) jj=true              # submit job for final rendering
  ;;
  s) lrg="${OPTARG}" # large : "1280 1024" # size of the image
  ;;
  q) queu="${OPTARG}" # queue to submit rendering image
  ;;
 esac
done ; OPTIND=0
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT` 
rac=`pwd | awk -F / '{ print $(NF-1)  }'` 

for name in ${ifil} ; do
nname=`echo $name | awk -F / '{ print $NF  }'` 
while read lin ; do
echo "${lin}" >> .hef.${nname}.p
done << EOF
#PBS -N ${rac}_${nname}
#PBS -l walltime=0:00:05
#PBS -l nodes=1:ppn=1
#PBS -j oe
ulimit -s unlimited
export PATH=/share/apps/espresso/espresso-5.0.3/bin:~/bin:\$PATH
module load mvapich2
which pw.x ph.x  mpiexec
cd \$PBS_O_WORKDIR
 ${tachyon} ${name}.dat -o ${name}.tga && rm ${name}.dat
ls *${nname}.o* 
EOF
#> mol drawframes top 2 {now}

if ${jj} ; then
 sbatch -q ${queu} .hef.${nname}.p && rm .hef.${nname}.p ${name}.ppm ; 
else
 ${tachyon} ${name}.dat -o ${name}.tga && rm ${name}.dat .hef.${nname}.p ${name}.ppm
fi


done 

exit



exit 
j=0
for fon in ${ifil} ; do
 name=(`echo ${fon} | awk -F . '{ print $1 " "$NF }'`)
 echo $fon $name $j
 j=${j}+1
done

#rm .hef*.$$.*


if [ ${molstate} ] ; then
 col1id=0
 addt=" "
else
 addt=""
 col1id=7
fi
addt=`echo -e ${addt}`
#echo "${addt}"
