#!/bin/bash
# routine to

typeset -i i j

ifi=naliz.dat
ndimmin=150
ndimmax=250

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 4"

j=${ndimmin}
cp $ifi naliz.dat.loc.$$
cp naliz.dat naliz.dat.res.$$

str=`sed '/ndim/d ; /outfile/d' naliz.dat.loc.$$`
grl=()
while [ ${j} -le ${ndimmax} ] ; do
 echo -e "ndim ${j} \noutfile eigen_${j}.dat \n${str}" > naliz.dat
 eigenstates.x > log_${j} 
 cp naliz.dat naliz_${j}.dat
 echo ${j}
 grl=(${grl[*]} log_${j})
   sed -n '/reson/p ; /zero/p' log_${j}
 j=${j}+10
done
mv naliz.dat.res.$$ naliz.dat 
rm naliz.dat.loc.$$ 

exit
maxen 2
amp j energ[Ry] mass[m_e]
mass  123681.48839917
ndim 28
verbos high
