#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out
ofi=timing.dat

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
evl=(`sed -n "/PWSCF  /{ s/PWSCF        :/ / ; s/CPU/ /; s/WALL/ / ; s/m /m/g ; s/m/*60+0/g ; s/s/ /g ; p }"  *out`)
# echo "evl: ${evl[*]}"

j=0
for obj in ${evl[*]} ; do
# echo "evl[${j}] ${evl[${j}]}" 
 evl[${j}]=`echo "scale=4 ; ${obj}" | bc`
# echo "evl[${j}] ${evl[${j}]}"
 j=${j}+1
done  

j=0
echo "file CPU[s] WALL[s]" > ${ofi}
for fon in *out ; do
 i=${j}+1
 stard=`sed -n '/Program PWSCF /{s/Program PWSCF v.5.0.2 (svn rev. 9656) starts on/ / ; p;}' ${fon}`
 echo ${fon} ${evl[${j}]} ${evl[${i}]} ${stard}>> ${ofi}
 j=${j}+2
done

cat ${ofi}
