#!/bin/bash
# routine to

typeset -i i j m k  

ifi=list_job.txt 
adi=false

while getopts i:o:a opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  o) ofi="${OPTARG}"
  ;;
  a) adi=true # add random queue to list_job.txt
  ;;
 esac
done ; OPTIND=0
[ "${ofi}" == "" ] && ofi=${ifi} 

ql=(infiniband infinijazz infinijazz)
m=${#ql[*]}-1

str="" ; j=1
while read lin  ; do
 k=`expr ${RANDOM} % ${m}`
 lin=(${lin}) ; n=${#lin[*]}-1
 # echo ${RANDOM} ${lin[*]} ${ql[${k}]} ${k} 
 if ${adi} ; then
  str=`echo -e "${str} \n ${RANDOM} ${lin[0]} -q ${ql[${k}]} ${lin[${n}]}"`
 else
  str=`echo -e "${str} \n ${RANDOM} ${lin[*]}"`
 fi
# [ ${j} -gt 10 ] && exit
 j=${j}+1
done < ${ifi} 


echo "${str}" | sed 1d | sort -n | awk '{ for(i=2; i<NF; i++) {printf("%s ", $i)}
          print $NF
       } ' | sed '/^$/d'  > ${ofi} 

exit 

