#!/bin/bash
# routine to

typeset -i i j

ifi=xas.out

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

#. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}
lat="1 2 4"

j=0
for fon in optc_pwscf_*.inp ; do
str=`sed "/cell_dofree/d ; s/CELLCELL/CELL/; 
/etot_conv_thr/c\
\   etot_conv_thr =1.0d-20,
/forc_conv_thr/d
/ conv_thr/c\
\   conv_thr =1.0d-10,
/ecutwfc/c\
\   ecutwfc=110,
/nstep/c\
\   nstep=5 ,
/K_POIN/,/CELL/{ /3/c\
9 9 7 1 1 1
}" ${fon}`

cpr=(`echo "${str}" | sed -n '/CELL_P/,/ATOM/{ /CELL/d ; /ATOM/d ; p; }'`)
cpr[1]=0
cpr[2]="0\n"
cpr[3]=0
cpr[5]="0\n"
cpr[6]=0
cpr[7]=0
cpr[8]="${cpr[8]}  "

echo ${cpr[*]} 

str=`echo "${str}" | sed "s/\&CELL/\&CELL\n cell_dofree='xyz',/ ; /etot_conv_thr/c\
\   etot_conv_thr =1.0d-20, \n\   forc_conv_thr =1.0d-20,
/CELL_P/,/ATOM/{ /\./d ; s/ATOMIC/${cpr[*]}\nATOMIC/ ; }"`

# echo "${str}"
# exit

[[ "${str}" == "" ]] || echo "${str}" > ${fon}
 j=${j}+1
done

exit
ecutwfc 110
kpoints 9 9 7 
 echo ${j}
 j=${j}+1
done
