#!/bin/bash
# routine to

typeset -i i j k  nn

ifi=xas.out
nnl=(`ls snap.xyz ../snap.xyz`) 
nn=`head -1  ${nnl}` ; 
echo "nn ${nn}"

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}
lat="1 2 4"
atli=()
j=1
while [ ${j} -le ${nn} ] ; do
 atli=(${atli[*]} ${j})
 echo "0 0 0 " >> .hef.$$
 j=${j}+1
done

echo "atli:  ${atli[*]}"

j=0
for n in ${atli[*]} ; do
  k=(${n}-1)*3  
  hk=`expi -i $k -l 4 `
  while read lin ; do
   echo "#mass 0" > vib_${hk}.dat
   sed "${n}c\
$lin
" .hef.$$ >> vib_${hk}.dat 
  k=${k}+1
  hk=`expi -i $k -l 4 `
  done << EOF
1 0 0 
0 1 0
0 0 1
EOF
 j=${j}+1
done
rm .hef.$$
