#!/bin/bash
# routine to

typeset -i i j

ifi=pos_001.rec
ifir=pos_002.rec

while getopts i:r: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  r) ifir="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

#. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}
lat="1 2 4"

nifi=(`wc $ifi`)
nifir=(`wc $ifir`)
[ ${nifi} -eq ${nifir} ] || { echo "files have not equal length ${nifi} != ${nifir}" ; exit ; }

j=0 ; d=() ; dd=0
while read lin ; do
 read -r linr <&3 || break
#for n in ${lat} ; do
 [ ${j} -lt 2 ] && { j=${j}+1 ;  continue ; } 
 c=(${lin})
# d=(${d[*]} ${c[1]} ${c[2]} ${c[3]})
 cr=(${linr})
# for el in ${c[1]} ${c[2]} ${c[3]} ; do
  dd="${dd}+((${c[1]})-(${cr[1]}))^2+((${c[2]})-(${cr[2]}))^2+((${c[3]})-(${cr[3]}))^2"
 #done
# echo ${j} ${lin} ${linr} 
 j=${j}+1
done < $ifi 3<${ifir}
di=`echo "scale=7 ; pow(${dd},1/2)" | funcs.bc`
 echo ${ifi} $ifir ${di}

exit
while true
do
  read -r f1 <&3 || break
  read -r f2 <&4 || break
  printf 'f1: %s\n' "$f1"
  printf 'f2: %s\n' "$f2"
done 3<file1 4<file2
