#!/bin/bash
# routine to

typeset -i i j k l 

ifi=dyn_diag.txt
#dyn_eigenenergy.txt

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH} 
j=0
ls $ifi > /dev/null || exit
ene=(`cat dyn_eigenenergy.txt`)

while read lin ; do
 hj=`expi -i $j` 
 frqt=`echo "scale=12 ; ${ene[${j}]}*0.0299793" | bc`
 k=0 ; str="# mass 0  omega ( $j ) = ${frqt} [Thz] = ${ene[${j}]} [cm-1]\n"
#mass 0 phonon      omega (   55) =      13.121207 [THz] =     437.676348 [cm-1]
 for elm in ${lin} ; do
  str="${str} ${elm}" 
  l=k%3
  if [ ${l} -eq 2 ] ; then 
   str="${str} \n"
  fi
  k=k+1
 done
 echo ${j}
 echo -e "${str}" > vib_${hj}.dat
 j=${j}+1
done < $ifi

exit
for n in ${lat} ; do
 echo ${j}
 j=${j}+1
done
 
