#!/bin/bash
# routine to

typeset -i i j k

ifi=eigen_150.dat
temp=2000
kbolz="6.3336230470173295*pow(10,-6)" #kbolz in Ry
ofi=conv.dat

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0


rm $ofi 

#. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}
lat="1 2 4"
k=0 ; aer=0
for ifi in `ls eigen_*dat | sort -r` ; do
 j=0 ; sus=0
 while read lin ; do #for n in ${lat} ; do
  c=(${lin})
  if echo $lin | grep inx  > /dev/null 2> /dev/null ; then 
   eref=${c[3]}
  fi
  echo $lin | grep e > /dev/null 2> /dev/null && continue
  ee="e((${eref}-(${c[1]}))/(${kbolz}*${temp}))"
  sus="${sus}+$ee"
  # echo ${j} $ee
  j=${j}+1
  [ ${j} -gt 500 ] && { echo ${j} $sus ; echo "scale=10 ;  (${sus})/e(1)-${aer}" | funcs.bc ; exit ; }
 done < ${ifi}
 ae=(${ae[*]} `echo "scale=10 ;  (${sus})/e(1)-${aer}" | funcs.bc`)
 [ ${k} -eq 0 ] && aer=$ae
 echo "${ifi} ${ae[${k}]}" | tee -a $ofi
 k=${k}+1
done
