#!/bin/bash
# routine to

typeset -i i j k l m 

ifi=../snap.xyz

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib
SCRIPT=`readlink -f $0` ; SCRIPTPATH=`dirname $SCRIPT`
export PATH=${PATH}:${SCRIPTPATH}

m=(`wc $ifi`)
m=${m}-1
j=0 ; i=0 ; l=1
while [ $l -lt $m ] ; do
 hj=`expi -i $j`
 echo $l 
 echo "# mass 0 "  > vib_${hj}.dat
 sed -n '1,2d ;  /[A-Z]/p' $ifi | awk -v ii=${l} '{ if (NR==ii)  print  "  1 0 0";  else print  "  0 0 0" ; }' >> vib_${hj}.dat
 j=${j}+1 ; hj=`expi -i $j`
 sed -n '1,2d ;  /[A-Z]/p' $ifi | awk -v ii=${l} '{ if (NR==ii)  print  "  0 1 0";  else print  "  0 0 0" ; }' > vib_${hj}.dat
 j=${j}+1 ; hj=`expi -i $j`
 sed -n '1,2d ;  /[A-Z]/p' $ifi | awk -v ii=${l} '{ if (NR==ii)  print  "  0 0 1";  else print  "  0 0 0" ; }' > vib_${hj}.dat
 j=${j}+1 ; hj=`expi -i $j`
 i=i+1 ; l=(${i})*8+1 
done
