#!/bin/bash
# routine to

typeset -i i j

ifi=naliz.dat 
prec=16

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 4"
rm .hef.$$
while read lin ; do
 c=(${lin})
 echo ${lin} `echo "scale=${prec}; ${c[0]}*${c[0]}" | bc` | sed '/#/d' >> .hef.$$
done < $ifi
str=`sort -n -k 4 .hef.$$  | head -3`
x=(`echo "${str}" | awk '{ print $1 }'`)
E=(`echo "${str}" | awk '{ print $3 }'`)
inx=`echo "${str}" | awk '{ print $2 }'`

j=0
m=(0 0 0)
b=(0 0)
for n in ${inx} ; do
 m[0]=`echo "scale=${prec}; ${m[0]}+1" | bc`
 d=`echo "scale=${prec}; (${x[${j}]})*(${x[${j}]})" | bc`
#echo ${d}
 m[1]=`echo "scale=${prec}; ${m[1]}+${d}" | bc` 
 m[2]=`echo "scale=${prec}; ${m[2]}+(${d})*(${d})" | bc`
 b[0]=`echo "scale=${prec}; ${b[0]}+(${E[${j}]})" | bc`
 b[1]=`echo "scale=${prec}; ${b[1]}+(${E[${j}]})*(${d})" | bc`
# echo ${j}
 j=${j}+1
done
echo ${m[0]}  ${m[1]} ${m[2]} ${b[0]} ${b[1]}
dt=`echo "scale=${prec}; ${m[0]}*(${m[2]})-(${m[1]})*(${m[1]})" | bc`
co=`echo "scale=${prec}; (${b[0]}*(${m[2]})-(${b[1]})*(${m[1]}))/(${dt})" | bc`
do=`echo "scale=${prec}; (${b[1]}*(${m[0]})-(${b[0]})*(${m[1]}))/(${dt})" | bc`
echo ${co}  ${do}
echo ${x[*]}
j=30
for n in -2 -1 1 2 ; do
 xl=`echo "scale=${prec}; ${x[0]}+(${x[0]}-(${x[1]}))/3*(${n})" | bc`
 el=`echo "scale=${prec}; ${co}+(${do}*(${xl})*(${xl}))" | bc`
 echo ${xl} ${j} ${el} >> ${ifi} 
# echo ${j}
 j=${j}+1
done
exit
#amp j energ[Ry] mass[m_e]: 
#mass 10868.38387131 
-3.99999996 20 -1187.56322481
-3.95075336 19 -1187.66296047
-3.80422604 18 -1187.92911578
-3.56402608 17 -1188.28076221
-3.23606796 16 -1188.63180501
-2.82842712 15 -1188.92830241
-1.81596200 13 -1189.30369599
-1.23606796 12 -1189.44772810
-.62573784 11 -1189.51694950
0 0 -1189.54016041
.62573784 1 -1189.51694945
