#PBS -N casio3_resub
#PBS -l walltime=00:11:00
#PBS -q short
#PBS -l nodes=1:ppn=2
#PBS -j oe
ulimit -s unlimited
PATH=~/bin:/share/apps/espresso/espresso-5.0.3/bin:/home/apps/bin:${PATH}:`dirname $(readlink -f $0)`
module load mvapich2
cd $PBS_O_WORKDIR
NSLOTS=`cat $PBS_NODEFILE | wc -l | awk '{ print $1 }'` ; dstr=`date`
echo "HOSTNAME: ${HOSTNAME} PBS_JOBNAME: ${PBS_JOBNAME} PBS_JOBID: ${PBS_JOBID} date: ${dstr}"

afi=`ls -d vib_[0-9][0-9][0-9][0-9] | shuf`
for fli in ${afi} ; do
 cd $fli
  ../../bin/resubmit.bash & 
 cd ${PBS_O_WORKDIR}
done 
wait
tarf=`pwd | awk -F / '{ print $NF }'`
tarf=~/send_${tarf}.tar
ls $tarf || { echo " " > ~/hub.txt ; tar -cf ~/send.tar ~/hub.txt ; } 
tar --append --file=${tarf} ${PBS_O_WORKDIR}/vib_00*/eig* ${PBS_O_WORKDIR}/vib_00*/nal* ${PBS_O_WORKDIR}/vib_00*/snap.xyz ${PBS_O_WORKDIR}/vib_00*/vib*dat ${PBS_O_WORKDIR}/vib_00*/run_*xyz
tar --list --file=${tarf}
