#!/bin/bash
# routine to

typeset -i i j

ofi=newrout.bash 

while getopts o: opt
do
 case $opt in
  o) ofi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0


echo "#!/bin/bash" > ${ofi}
while read lin ; do
 echo "${lin}" >> ${ofi}
done << EOF
# routine to 

typeset -i i j 

ifi=xas.out

while getopts i: opt
\do
\ case \$opt in
\  i) ifi="\${OPTARG}"
\  ;;
\ esac
\done ; OPTIND=0

. integer_lib
SCRIPT=\`readlink -f \$0\` ; SCRIPTPATH=\`dirname \$SCRIPT\`
export PATH=\${PATH}:\${SCRIPTPATH}
lat="1 2 4"

j=0
for n in \${lat} ; do
\ echo \${j}
\ j=\${j}+1
done 
EOF

chmod a+x ${ofi}
