#!/bin/bash
# routine to

typeset -i i j h k l p 

ifi=staircase.out
lg=false

while getopts i:s: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  l) lg=true
  ;;
 esac
done ; OPTIND=0

##. integer_lib

lat="1 2 4"

trr(){ 
local lstr sm c 
while getopts s: opt
do
 case $opt in
  s) lstr="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

j=-5
#echo "${lstr}"
while read lin ; do
# echo $lin
 if [ ${j} -gt -2 ] && [[ $lin == [01-]* ]] ; then
  j=${j}+1
  c=(${lin})
  sm=`echo "(${sm})+(${c[${j}]})" | bc`
#  echo ${c[${j}]} ${sm} 
 elif [[ $lin == occ* ]] ; then
  j=-1 ; sm=0
 else
  j=-5
 fi
# echo "j: ${j} c: ${c[*]} lin: ${lin}"
done << EOF
${lstr}
EOF
echo ${sm}
}

c=(`sed -n '/ enter write_ns/= ; /exit write_ns/=' ${ifi}`) 
m=${#c[*]}

#echo "m: ${m[*]} c[*]: ${c[*]}"
k=${m}-2
${lg} && k=0
h=${k}+1
#echo "lg: ${lg}, k: ${k}, h: ${h}"
while [ ${h} -lt ${#c[*]} ] ; do # LOOP on write_ns
 echo "enter write_ns "
 str=`sed -n ${c[${k}]},${c[${h}]}p ${ifi}`
 #echo "${str}" | grep Tr
 d=(`echo "${str}" | sed -n '/Tr/= ; /exit write_ns/='`)
  l=0 ; p=${l}+1 
  while [ ${p} -lt ${#d[*]} ] ; do # LOOP on atoms
   pstr=`echo "${str}" | sed -n ${d[${l}]},${d[${p}]}p`
   #echo "${pstr}"
   strup=`echo "${pstr}" | sed -n '/Tr/,/spin  2/p'`
#   strdn=`echo "${pstr}" | sed -n '/spin  2/,$p'`
   lab=(`echo "${strup}" | grep Tr | head -1 | awk '{ print $2" "$8" "$9" "$10}'`)
#   ma[0]=`trr -s "${strup}"` 
#   ma[1]=`trr -s "${strdn}"`
#   df=`echo "scale=5 ; (${ma[0]})-( ${ma[1]})" | bc`
#   echo ${lab[*]}
   lab[4]=${lab[3]}
   lab[3]=`echo "scale=5 ; (${lab[1]}-${lab[2]})" | bc`
   l=${l}+1 ; p=${l}+1 
   #echo "${strup}"
   #echo "strdn: "
   #echo "${strdn}"
   echo ${lab[*]}
   #${ma[0]} ${ma[1]} ${df}       
  done # atoms
  echo "exit write_ns "
 k=${k}+2 ; h=${k}+1
done # write_ns


exit

atom    4   Tr[ns(na)] (up, down, total) =   5.00000  0.00000  5.00000
   spin  1
    eigenvalues:
  1.000  1.000  1.000  1.000  1.000
    eigenvectors:
  1.000  0.000  0.000  0.000  0.000
  0.000  1.000  0.000  0.000  0.000
  0.000  0.000  1.000  0.000  0.000
  0.000  0.000  0.000  1.000  0.000
  0.000  0.000  0.000  0.000  1.000
    occupations:
  1.000  0.000  0.000  0.000  0.000
  0.000  1.000  0.000  0.000  0.000
  0.000  0.000  1.000  0.000  0.000
  0.000  0.000  0.000  1.000  0.000
  0.000  0.000  0.000  0.000  1.000
   spin  2
    eigenvalues:
  0.000  0.000  0.000  0.000  0.000
    eigenvectors:
  1.000  0.000  0.000  0.000  0.000
  0.000  1.000  0.000  0.000  0.000
  0.000  0.000  1.000  0.000  0.000
  0.000  0.000  0.000  1.000  0.000
  0.000  0.000  0.000  0.000  1.000
    occupations:
  0.000  0.000  0.000  0.000  0.000
  0.000  0.000  0.000  0.000  0.000
  0.000  0.000  0.000  0.000  0.000
  0.000  0.000  0.000  0.000  0.000
  0.000  0.000  0.000  0.000  0.000
atomic mag. moment =     5.000000


str='atom  2   Tr[ns(na)]=   5.0373735
atom  2  spin  1
eigenvalues:  0.8351931 0.8760077 0.8848254
 eigenvectors
 1  -0.2162393  0.8547480  0.4718543
 2  -0.9490825 -0.0706234 -0.3070094
 3  -0.2290917 -0.5142161  0.8264979
 occupations
 0.875  0.009  0.002
 0.009  0.849 -0.020
 0.002 -0.020  0.873'

trr -s "${str}"

