#!/bin/bash
# routine to

typeset -i i j

ifi=run.xyz 
dm="2 2 2"
cc=""

while getopts i:d:c: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
  d) dm="${OPTARG}"
  ;;
  c) cc="${OPTARG}" # cell dimensions
  ;;
 esac
done ; OPTIND=0

ofi=`echo $ifi | sed 's/\.xyz//'`

sed '/ E /{ s/^/A A/ ;}'  ${ifi} > .hefi.$$
getlastxyz -b  -i .hefi.$$ -o .$$
c=(${dm})
hstr=`echo ${c[*]} | sed 's/ /\./g'`

j=0
for fon in .$$*xyz  ; do
 head -1 $fon > .hefi.$$
 if [ "${cc}" == "" ] ; then
  sed -n 2p ${fon} | awk '{ print $8" "$9" "$10" "$12" "$13" "$14" "$16" "$17" "$18" " }' >> .hefi.$$
 else
  echo ${cc} >> .hefi.$$
 fi
 sed 1,2d ${fon} >> .hefi.$$ 
 replica_xyz .hefi.$$ ${dm}
 mv .hefi.$$${hstr}.xyz ${fon} 
# echo ${j}
 j=${j}+1
done
cat .$$*xyz > ${ofi}_${hstr}.xyz
rm .$$*xyz .hefi.$$ 
exit
20
A A 0 E -1189.45879880 Ry uc:  5.63229539 0 0 \n 0 5.86688049 0 \n 0 0 8.29727227 \n
        Na      -0.06776496       2.63741475       2.09832355 
        Al       0.00000000       0.00000000       0.00000000 
        Na       0.00000000       0.00000000       4.14863614 
        Na       0.06776496       3.22946574       6.19894872 
         F       0.55231272       0.25575749       1.73272393 
         F       0.88317695       1.51510499       7.80152577 
         F       1.33940251       1.96188633       4.51334088 
         F       1.47674519       4.89532657       7.93256752 
.hefi.17563
.hefi.175632.2.2.xyz
replica_xyz_run.bash
run.xyz
safe
