#!/bin/bash
# routine to rotate coordinates of file containing positions in xyz-format

typeset -i i j k l 

ifi=snap.xyz 

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTID=0

rstr="0.0000  -1.0000   0.0000  
 1.0000   0.0000   0.0000  
 0.0000   0.0000   1.0000 "
rstr="0.9953  -0.0900  -0.0470  
 0.0954   0.9957   0.3333  
 0.0159  -0.3363   0.9417"
#rstr="r[1,1] r[1,2] r[1,3]
# r[2,1] r[2,2] r[2,3]
# r[3,1] r[3,2] r[3,3]"
. integer_lib

cat $ifi | sed 1,2d > .hefi.$$
head -2 ${ifi} > .hefii.$$
exec 3< .hefi.$$

while read dlin ; do
 a=(${dlin})
 b=(${a[0]} 0. 0. 0.)
 j=1
 while [ ${j} -le 3 ] ; do
  k=1 
  while [ ${k} -le 3 ] ; do
    c=(- `echo "${rstr}" | sed -n ${k}p`)
    b[${j}]=${b[${j}]}"+(${c[${j}]})*(${a[${k}]})"
    k=${k}+1
  done
  b[${j}]=`echo "scale=8 ; ${b[${j}]}" | bc`
#  echo "j: ${j} c: ${c[*]}"
  j=${j}+1
 done
 echo "${b[*]}" | awk '{ printf "%10s %16.8f %16.8f %16.8f \n" , $1,$2,$3,$4}' >> .hefii.$$ 
done <&3

mv .hefii.$$ ${ifi} 
#cat $ifi
rm .hefi.$$ 
