#!/bin/bash
# routine to

typeset -i i j  jnx minx

ifi=xas.out
fli="INCAR CHG CHGCAR CONTCAR DOSCAR EIGENVAL IBZKPT OSZICAR OUTCAR PCDAT vasprun.xml WAVECAR XDATCAR POSCAR"

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

hinx=(`ls OUTCAR_* | sed 's/OUTCAR_//g'`)
minx=${#hinx[*]}-1
hinx="0${hinx[${minx}]}" 
inx=`piex -i ${hinx}`
jnx=${inx}+1


[ ${jnx} -gt 99 ] && exit 
hjnx=`expi -i ${jnx}`
echo "minx: ${minx} inx: ${inx} jnx: ${jnx} hinx: ${hinx} hjnx: ${hjnx}"
 

j=0 ; fli=`ls ${fli}`
for fon in ${fli} ; do
 mv $fon ${fon}_${hjnx}
 j=${j}+1
done
cp INCAR_${hjnx} INCAR 
cp CONTCAR_${hjnx} POSCAR 
 

exit

echo "Whipe ${fli}, [y/n ENTER]:"

read ans

[[ "${ans}" == "y"* ]] && rm $fli
