#!/bin/bash
# routine to

typeset -i i j

inxl=0000

while getopts i: opt
do
 case $opt in
  i) inxl="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

SCRIPT=`readlink -f $0` ; PATH=`dirname $SCRIPT`:${PATH}


j=0
for inx in ${inxl} ; do
 ls -d vib_${inx} || mkdir vib_${inx} 
 cp movie/snap.xyz movie/*${inx}* vib_${inx}/. 
 cd vib_${inx}
  animate.bash -a 2.0 -n 60 -u -p vib_${inx}.dat -i snap.xyz
  getlastxyz.bash -i run_${inx}.xyz -b 
  jl=`ls snap_*xyz | sed 's/snap_// ; s/\.xyz//'` 
  genjob.bash -l "${jl}" 
  nbearb -n 5
  echo ${j}
  ln -s ~/bin/nbearb
 cd ..
 j=${j}+1
done
