#!/bin/bash
# routine to

typeset -i i j

ifi=naliz.dat

while getopts i: opt
do
 case $opt in
  i) ifi="${OPTARG}"
  ;;
 esac
done ; OPTIND=0

. integer_lib

lat="1 2 4"


cp $ifi naliz.dat.loc.$$
cp naliz.dat naliz.dat.res.$$

str=`sed '/ymax/d ; /outfile/d' naliz.dat.loc.$$`

grl=()
j=1 
while [ ${j} -le 10 ] ; do
 ymax=`echo "scale=6 ; ${j}/4" | funcs.bc`
 echo -e "ymax ${ymax} \noutfile eigey_${j}.dat \n${str}" > naliz.dat
 eigenstates.x > loy_${j} 
 cp naliz.dat yaliz_${j}.dat
 echo ${j}
 grl=(${grl[*]} loy_${j})
 sed -n '/reson/p ; /zero/p' loy_${j}
 j=${j}+1
done
mv naliz.dat.res.$$ naliz.dat 
rm naliz.dat.loc.$$ 

exit
maxen 2
amp j energ[Ry] mass[m_e]
mass  123681.48839917
ndim 28
verbos high
